###############################################################################################################################

Since version 3.4.3, change log moved to: http://www.amcharts.com/javascript-charts/changelog/

#### 3.4.2 ####################################################################################################################

Bug fix: if pie slice had no label, the external method rollOverSlice(index) was not working

Bug fix: x switch of the legend position adjusted

Bug fix: when autoWrap for category axis was set to true, in some cases axis title was cut.

markPeriodChange was set to true in CategoryAxesSettings.

#### 3.4.1 ####################################################################################################################

"patterns" theme added.

themes were updated a bit.

labels of angular gauge axis adjusted.

when scrolling serial/stock charts with mousewheel (chart.mouseWheelScrollEnabled must be set to true), if user press shift
button, the chart will zoom-in or zoom-out;

adjustment property added to ChartCursor. Default value is 0, if you set it to -1, the balloon will show near previous, if
you set it to 1 - near next data point.

#### 3.4.0 ####################################################################################################################

Link to amCharts.com site in a free version was made less noticable - it uses chart's font color and font size and you can
adjust it's position using creditsPosition property of AmChart. Possible values are: top-left, top-right, bottom-right and
bottom-left. This will help you to achieve better layout of a chart.

We fixed typo in chart cursors property - it was showNextAvalable and now is showNextAvailable. The old one won't work.

Since now you can scroll serial and stock charts with mouse wheel. To enable this, set chart.mouseWheelScrollEnabled = true
(default is false)

moved event added to chart cursor. It is dispatched every time the mouse is moved. The event object has the following
properties: x, y (coordinates of the cursor), target (reference to cursor), chart, zooming.

axisX and axisY properties added to AxisBase. They are read-only and returns x and y positions of the axis.

unit and unitPosition (with possible values left and right) added to GaugeAxis class.

autoWrap property added to CategoryAxis, with default value false. If you set it to true, the axis labels will be wrapped
if they won't fit in the allocated space.

minHorizontalGap (default 75) and minVerticalGap (35) properties added to AxisBase. They are used to calculate the number of
gridLines when autoGridCount is true. You can modify these values to have more or less grid lines.


#### 3.3.6 ####################################################################################################################

# Bug fix - charts with legend could fail if there was a google analytics script in the page.

# stepDirection property added to AmGraph. If you set it to "left", step line graph will draw the step to the left of the
date/category.

#### 3.3.5 ####################################################################################################################

# Bug fix - 3D pie chart was not rendered in IE8 and older (since 3.3.4 version only)

# Candlestick graphs can display patterns

# Old listeners are removed automatically if the same listener was added, this helps to avoid duplicate calls of event
handlers

# \n in labelText of AmGraph is now properly displayed as new line.

#### 3.3.4 ####################################################################################################################

# export as image script fixed - bullets of charts with scrollbars were not exported.

# dataContext property added to SerialDataItem. It holds reference to original data object and might be used when using
labelFunction to format custom balloon text and in some other cases.

# XY chart can display bullets with patterns (if valueField is set).


#### 3.3.3 ####################################################################################################################

# hideBalloonTime property added to AmChart class, default value is 150 (milliseconds). It sets time after which balloon is
hidden if user rolls-out of the object. Increasing the time might help to prevent balloon flickering while moving the
mouse over the object.

# useLineColorForBulletBorder property added to AmGraph. Might help in some situations, especially when using themes.

# 3D charts now look a lot better with patterns.

# endWidth property added to GaugeArrow (default 0). This will allow having more modern, rectangular arrows.

# facePattern property added to AmAngularGauge. You can fill gauge's face with some pattern using it.

# bug fix: new lines were ignored in balloons

#### 3.3.2 ####################################################################################################################

# You can now set theme for all the charts on your page by setting:
AmCharts.theme = AmCharts.themes.light;  // or some other theme
If you are creating charts using JavaScript API, not JSON, then this is quite a comfortable way, as you won't need to
pass theme to each object you create.

# bug fix: rendered event was fired only on first render, now it is fired each time the chart is rendered after
chart.validateNow(); method is called. This bug caused the export buttons to dissapear after the validateNow() method.

# chartCursror.showNextAvalable property added (default is false). If true, the graph will display balloon on next
available data point if currently hovered item doesn't have value for this graph.

# graph.periodSpan property added (default is 1). This property can be used by step graphs - you can set how many periods
one horizontal line should span.

# "end" option added to graph.pointPosition property.


#### 3.3.1 ####################################################################################################################

# bug fix - \n was replaced with <br> in category axis and the tag was displayed
# bug fix - if lineColorField or dashLengthField or fillColorsField was set, the graph could loose the setting if zoomed.

#### 3.3.0 ####################################################################################################################

# Since this version amCharts and amMap support themes. This means that instead of seting every property for each graph
or axis or any other object, you can set new defaults in a theme file. This will make devs' life a lot easier.

Currently you can find three themes in amcharts/themes folder - dark.js, light.js and chalk.js To set a theme for a chart,
simply set theme property to the name of the file: theme:"light". Note, this will work only if you are creating chart
using JSON config. If you do it in old way (JSON config is supported since v 3.2.0), you should pass theme object for
each new object you build, for example: var graph = new AmCharts.AmGraph(AmCharts.themes.light);

We will be adding more themes soon. Check _usingThemes.html file in samples folder to see themes in action.

# patterns property added to AmSlicedChart and AmCoordinateChart - instead of setting a pattern for a slice/graph, you can
pass array of patterns using this property.

# you can now control zoom-out buttons with the following new properties of AmRectangularChart:

  zoomOutButtonImageSize
  zoomOutButtonImage
  zoomOutButtonColor
  zoomOutButtonAlpha
  zoomOutButtonRollOverAlpha
  zoomOutButtonPadding

# some minor bugs fixed

#### 3.2.0 ####################################################################################################################


# AmCharts.makeChart(divID, chartConfig); method added. divID is id of a div where your chart should appear. chartConfig is
JSON object with chart configuration. Check examples with _JSON_ prefix in samples folder to see this in action.

# type property added to AmChart class. It is required to specify type to one of the following, when creating charts from
JSON config: serial, xy, radar, pie, gauge, funnel, map, stock

# a possibility to export charts as image/pdf/svg added for all modern browsers except IE9 (IE10 is supported). The
exporting doesn't require any server side software and is made using js libraries only. Check samples with
_exporting_ prefix to see this in action. Exporting to SVG doesn't work very properly with stock chart or charts with
legend (will offer saving multiple files).

# You can set any legend items via legend.data property, for example:
legend.data = [{title:"first", color:"#CC0000", value:50}, {title:"second", color:"#00CC00", value:100}];
This allows creating any legend items you want. Call chart.legend.validateNow(); if you change legend's data at run time.

# AmAngularGauge supports legend now

# bug fix - if a chart with scrollbar was rotated after the chart is created, the scrollbar's graph was shifted to a wrong
position.

# bug fix - column graph type wasn't displayed in chart scrollbar (since 3.1.0)

# gridAboveGraphs property added to AmCoordinate chart. This allow to show grid lines above your graphs, as world-famous
data visualization guru Edward Tufte suggests. Note, this won't work properly with 3D charts.

# negative axis labels rotation possible. You can use values from -90 to -1 for labelRotation property since now.

# bug fix: step line with changing line color was rendered incorrectly if some values were missing.

# bug fix: labelPosition "inside" and "middle" for bar charts fixed.

# bug fix: AmAngularGauge chart wasn't firing "rendered" event.


#### 3.1.1 ####################################################################################################################

# FireFox error messages about style declarations fixed

# Bug fix: maxWidth property of AmBalloon was ignored

# Some other minor bugs fixed


#### 3.1.0 ####################################################################################################################

Great new features added - charts now support patterns (can fill bars, lines and slices with images) and can simulate
hand drawn charts - the lines will be a bit distorted and produce a nice effect. Check our new inspiring samples at
http://www.amcharts.com/inspiration/ to see new possibilities in action.

# patterns
Patterns can be set for entire graphs or for individual columns/slices. In case you want to set pattern for a graph, use
pattern property of AmGraph. If you want to set individual pattern for a column or slice, describe patterns in chart's
data and set patternField for a graph or pie/funnel chart. Value of pattern should be object with url, width, height of an
image, optionally it might have x, y, randomX and randomY values. For example:

graph.pattern = {"url":"../amcharts/patterns/black/pattern1.png", "width":4, "height":4};

check amcharts/patterns folder for some patterns. You can create your own patterns and use them.

Note, x, y, randomX and randomY properties won't work with IE8 and older.

Check handDrawnChart.html, pieWithPatterns.html or columnWithPatterns.html examples to see this in action.

Note, 3D bar/Pie charts won't work properly with patterns.

# hand-drawn style
if you set chart.handDrawn = true, the lines of a chart will be distorted and will produce hand-drawn effect.
You can also modify chart.handDrawScatter (default value is 2) and chart.handDrawThickness (default value 1) values for
more scattered view.

# offsetY and offsetX properties added to AmBalloon. Specifies the distance from the mouse position to balloon's pointer.
You might want to increase distance when using hand drawn style.

# Some minor problems fixed

#### 3.0.1 ####################################################################################################################

Some very minor bugs which usually pop right after big release fixed.

#### 3.0.0 ####################################################################################################################

**** Several files ****

As not all users require all type of charts, we spilt the js file into several files - one main amcharts.js file, plus
a separate js file for each chart type. This means you can include only the charts you need. If you are worried about
number of requests, you can simply copy/paste the source of the charts you use to the main file.

**** Upgrading / 100% backwards compatibility ****

Although we changed some default values in order to improve usability of the charts, the only thing you should worry
about when upgrading from v2 to v3 is the feature mention above – you should include two or more js files in order your
charts to work. If you don’t like the changed defaults, you can always set them to the previous values in your chart
setup.

**** New chart types ****

# Funnel / Pyramid chart.
Check funnelChart.html and pyramidChart.html examples. As this chart type has a lot of in common
with pie chart, we created one base class for these chart types - AmSlicedChart. AmPieChart and AmFunnelChart now extend
this class. Visit our online class reference for properties and methods of AmFunnelChart.

# Angular Gauge
Supports multiple axes and multiple arrows. Check the following examples: angularGauge.html,
angularGaugeWithTwoAxes.html, clock.html, clockWithTwoFaces.html. Visit our online class reference for properties and
methods of classes used by this chart type.

*** New chart types made with new possibilities of Serial/XY charts ***

We added lots of new features to our charts and with these features you can create new chart types, like:

# Horizontal or vertical bullet chart - bulletChart.html

# Waterfall chart - waterFallChart.html

# Step chart without risers - lineStepNoRisers.html

# Error chart (both Serial and XY) - errorChart.html

*** Other new features ***

# Possibility to show minor grid for both Category and Value axis. minorGridEnabled (default value false) and
minorGridAlpha (default 0.07) properties added to AxisBase class.
Example: lineWithScrollAndZoom.html


# Possibility to change line graphs' line/fill color on any data point to create highlighted sections of the graph.
To achieve this, you should set lineColorField and/or fillColorsField for your graph and have a field in your data
which would contain color values at a point where you want the graph to change it's color.
Example: lineWithChangingColor.html


# Possibility to switch line from solid to dashed. Columns can also have dashed outline. To achieve this, you should set
dashLengthField for your graph and have a field in your data which would contain dashLength value at a point where you
want the graph to change from solid to dashed or vice versa.
Example: lineWithDifferentBulletSizes.html and columnAndLineMix.html


# Date strings in data now supported. Even if your chart parses dates, you can pass them as strings in your data – all you
need to do is to set data date format and the chart will parse dates to date objects. This means that now data for
date-based chart can be in legit JSON format. dataDateFormat property added to AmSerialChart and AmStockChart.
Example: lineWithChangingColor.html, lineWithTrendLines.html and some more.


# When moving chart cursor over the chart, hovered bullets can change their size. If a graph has bullets and you added
ChartCursor to the chart, bullets will become bigger when char cursor is over them. graphBulletSize property with
default value 1.7 added to ChartCursor. If you want to disable this feature, set the value to 1.
Example: lineWithLogarithmicValueAxis.html, lineWithScrollAndZoom.html and some more.


# Legend can now display period value. When user is not hovering the chart, legend can show sum, average, open, close, low
or high values of selected period. periodValueText added to AmLegend and legendPeriodValueText added to AmGraph to
achieve this. The tags should be made out of two parts - the name of a field (value / open / close / high / low) and the
value of the period you want to be show - open / close / high / low / sum / average / count. For example: [[value.sum]]
means that  sum of all data points of value field in the selected period will be displayed.
Example: area100PercentStacked.html and areaStacked.html

To achieve the same with stock chart, we added periodValueTextRegular and periodValueTextComparing proprties to
StockLegend. To show percent period values, you should add "percent." prefix for your tag, for example:
[[percents.value.close]] means that last percent value of a period will be displayed.
Example: stockMultiplePanels.html and stockMultipleDataSets.html


# Legend markers can now mirror graph’s settings, displaying a line and a real bullet as in the graph itself.
useGraphSettings property with default value false was added to AmLegend. Note, we also removed "line" and "dashedLine"
marker types because of this - use the useGraphSettings feature in case you need lines as markers in the legend.
Example: lineWithDifferentBulletSizes.html and lineWithMultipleValueAxes.html


# Legend now supports custom markers (images). customMarker property was added to AmGraph. You should set path to the image
which should be displayed in the legend.


# Diamond bullet type added. Set graph.bullet = "diamond" to use it.


# Dynamic bullet size based on value axis / Error chart.
Error chart is a regular serial or XY chart with bullet type set to "errorX" or "errorY". The graph should know which axis
should be used to determine the size of this bullet - that's when graph.bulletAxis property should be set. Besides that,
you should also set graph.errorField. You can also use other bullet types with this feature too. For example, if you set
bulletAxis for XY chart, the size of a bullet will change as you zoom the chart.
Example: errorChart.html


# You can specify custom column width for each graph individually. columnWidth property added to AmGraph. Note, you set
relative width here (0 - 1), not width in pixels.
Example: bulletChart.html


# Columns can be overlaid on other columns, without making axis as stacked. clustered property added to AmGraph. In case you
want to place graph's columns in front of other columns, set it to false.
Example: bulletChart.html


# Resize grips were made bigger to make life easier for users on touch devices.


# Balloons can now display any HTML and CSS inside them. This means you can add images, format text or display just about
any HTML/CSS content. Because of this new feature, we removed textShadow property of AmBalloon in this version.
Example: areaStacked.html, barStacked.html and many other.


# Balloon now can animate from point to point and also fade out when user moves away from the chart. animationDuration and
fadeOutDuration properties added to AmBalloon, with default values 0.3. animationDuration property was also added to
ChartCursor, so that the cursor line would also animate to its position.
Example: any chart with balloon.


# Balloon now can display shadow. shadowColor (default #000000) and shadowAlpha (default 0.4) added to AmBalloon.
Example: any chart with balloon.


# Some default values of AmBalloon changed for a better usability - adjustBorderColor to true, cornerRadius to 0,
pointerWidth to 6, color to #000000.
Example: any chart with balloon.


# Stock chart can display scrollbar on top of the chart.
Example: stockIntradayData.html



*******************************************************************************************************************************
*******************************************************************************************************************************
*******************************************************************************************************************************



2.11.3
With IE8 and older, in some cases not all category axis labels were shown.

2.11.2
"drawn" event added to AmChart. Fired every time chart is drawn - on zoom, hide graph, etc.
bug fixed - in some cases last grid items of category axis were not drawn.

2.11.1
Bug fixed: if chart.usePrefixes was set to true, numbers near value axis grid could be rounded and duplicated.
This bug only occured in v 2.11.0.

2.11.0
Bug fixed:
FireFox 3.6 failed to show all columns of a graph.
NumberFormatter was ignored if usePrefixes was set to true.

Features added:
baloonFunction added to AmGraph. If you set some function, the graph will call it and pass graphDataItem and graph object to it
this function should return a string which will be displayed in a balloon.

Custom fields now supported in labels/balloons/legend of Pie and Radar chart.

Guide.above property added, the guide will be placed above the graphs if set to true (default is false).

2.10.8
Bug with stacked step charts fixed.
categoryBalloonFunction property added to ChartCursor. It allows formatting any category balloon text you want.
The categoryBalloonFunction should return a string which will be displayed in a balloon. When categoryBalloonFunction
is called, category value (or date) is passed as an argument.

2.10.7
Bugs related to new behavior of CategoryAxis fixed.
CategoryAxis.centerLabelOnFullPeriod property added, with default value true. This setting works only when
parseDates is set to true and equalSpacing is set to false. In case you set it to false,
labels will never be centered between grid lines.

2.10.6
Some minor improvements.

2.10.5
CategoryAxis labeling, when parseDates is true was improved.
CategoryAxis.markPeriodChange property added, with default value set to true. If you set it to false,
the start of longer periods won't use a different date format and won't be bold.


2.10.4

charts can be rendered in "rtl" (right-to-left) mode. You have to set AmCharts.rtl = true in order this mode to be enabled.
categoryAxis.minPeriod now supports intervals like 15mm, 10ss (previously only equal intervals like ss, mm were supported).
some minor bugs fixed.

2.10.3

milliseconds problem with firefox & IE fixed

2.10.2

AmCharts.useUTC problems fixed.

guide.color property added (changes text color of guide label).

some other minor bugs fixed.


2.10.1

showHandOnHover property added to AmGraph.

totalTextColor property added to ValueAxis.

minimum and maximum properties added to ChartScrollbar class. In case your scrollbar has a graph, you can set
minimum and maximum values of scrollbar's value axis.

"rendered" event added to AmChart class. fired only once, when chart is first rendered.

bug with graph.negativeBase and line graph fixed.

columnSpacing3D added to AmSerialChart. Allows setting space between 3d stacked columns.

2.10.0
******
categoryFunction property added to CategoryAxis. It specifies a method that returns the value that should be
used as categoryValue for current item. If this property is set, the return value of the custom data function
takes precedence over categoryField. When a chart calls this method, it passes category value, data item from
chart's data provider and reference to categoryAxis: categoryFunction(category, dataItem, categoryAxis);
This method can be used both when category axis parses dates and when it doesn't. If axis parses dates, your
categoryFunction should return Date object.

******
labelFunction added to AxisBase. You can use it to format both Value and Category axis labels. If this function
is set for ValueAxis, it is called and these parameters are passed: labelFunction(value, valueText, valueAxis);
Where value is numeric value, valueText is formatted string and valueAxis is a reference to valueAxis object.

If this function is set for CategoryAxis, then it is called with the following parameters passed:

if dates are not parsed:
labelFunction(valueText, serialDataItem, categoryAxis)

if dates are parsed:
labelFunction(valueText, date, categoryAxis)

******
fontSize property added to Guide.
position property added to Guide.

******
useMarkerColorForValues property added to AmLegend.

******
rightClickSlice event added to AmPieChart.

******
Some minor bugs fixed.

**************************************************************************************************************

2.9.2

Problem with lines not visible on XP+IE8 fixed.

2.9.1

'selected' event of ChartCursor was added. It is fired when selectWithoutZooming is set to true and
user makes selection.

Fixed XY chart external zoom (with valueAxis.zoomToValues() method)

labelColorField added to AmGraph, it allows setting different color for individual data labels.

forceShowField added to CategoryAxis. It allows setting which of the categories should
always be displayed. Works only when categoryAxis.parseDates = false

rightClickGraphItem event added to AmCoordinateChart.

"changed" event of chart cursor has a new property, called mostCloseGraph. It is
set if you are using chartCursor.oneBalloonOnly = true.

Fix: IE used to hide legend of pie chart after validateNow() method was called.

labelRadiusField property added to AmPieChart. It allows specifying the distance from pie
to data label manually. Note, if you set labelRadiusField, the chart won't try to
arrange labels so that they won't overlap.


2.9.0

Since this version, when setting zooming date-based chart, you have to set
exact "to" date. For example, if you want the chart to display one day only,
set from date as 2012,1,1 (first of February) and the to date as
new Date(2012,1,2) or new Date(2012,1,1,23,59,59). Previously you could set the
same date for start and end dates and the chart used to select one "minPeriod"
automatically, however this caused a lot of problems for charts displaying
monthly or yearly data.

AmCharts.clear method added. Call this method if you want completely to remove all charts from a page.

Memory leak fixed.

Last item was not displayed if minPeriod was bigger than day.

Switch of legend marker was in wrong position when marker size was quite small.

validateData() method caused error when fillToGraph property was set.

if valueAxis.minimum was set and values were smaller than this minimum, columns were not displayed.

align property wasn't working when using external container for the legend.

some other minor bugs fixed.

2.8.5

above property added to Guide. If you set it to true, guides will be displayed above graphs.
Some minor bugs fixed.

2.8.4

NEW FEATURE:
you can set a customly created div element as a container of your legend. To do this,
you should pass id or reference of the div in this method:

chart.addLegend(legend, divID);

FIXES:
balloon could be wrongly positioned in marginTop style was added directly to <html> element.
chart.animateAgain(); worked only if validateNow() method was called after.
in some specific cases scrollbar could act icorrectly on IE8/IE7.


2.8.3

When panEventsEnabled was set to true, balloons over bullets were not shown.

Text in balloons was not properly vertically aligned if verticalSpacing was set
to some different than default value.

Balloon wasn't positioned properly if chart was in a scrollable div.

Init event wasn't fired by AmPieChart.

2.8.2

Step line's corners sometimes were not perfect (one extra pixel could be added
in the end of horizontal line)

You couldn't change panEventsEnabled of AmChart class after the chart was
initialized.

You couldn't chane legend's position after the chart was initialized.

Step line chart was not correctly filled if Value axis was of some stacked type.

Some other minor bugs fixed.

2.8.1

hideXScrollbar and hideYScrollbar properties added to AmXYChart. This will
allow you to show one scrollbar only.

2.8.0

New features:
you can pass dates as timestamps instead of date objects.

ChartCursor.selectWithoutZooming property added which allows marking desired area
with chart cursor without zooming-in.

graph.fillToGraph property added. This allows creating band or range graphs.
The area between graph and fillToGraph will be filled with a color if graph.fillAlphas
is set to > 0 value. Works with "line" graph type only.

Bug fixes:

Blurry lines on all browsers fixed

right/bottom grid line was hidden if marginRight/marginBottom were set to 0

category balloon was shifted a bit since last version

background image was incorrectly sized

2.7.10
Problem with balloon position in IE10 fixed.

2.7.9

FIX: If you used to add/remove some graphs for several times, some graphs could disappear.

FIX: balloon could be positioned in a wrong place in some specific cases with IE.

Some other minor bugs fixed.

2.7.8

url parameter added to chart.addLabel method

Printing in IE8 fixed;

Two typos in property names fixed:

ValueAxis.minMaxMultiplier (instead of minMaxMultiplayer)
and
ValueAxis.synchronizationMultiplier (instead of synchronizationMultiplyer)

We do not longer support old names with errors, so you should adjust names if you use
them in your scripts. Sorry for inconvenience.

some other minor bugs fixed.

2.7.7

ValueAxis.minMaxMultiplier was ignored if min (or max) value was equal to 0.
In some cases, when legend position was set to "left", chart might be positioned
incorrectly.

2.7.6

chart.invalidateSize() method was fixed
charts used to ignore padding of a div.
chartCursor.showCursorAt(category) method added. It will make the cursor to
appear at specified cateogry or date.

2.7.5
Bug with smoothed line in scrollbar fixed.
minMaxMultiplayer property added to ValueAxis. Default value is 1. You can increase
min/max range using this property. Useful for bubble charts - prevents from bubbles
being cut.
Some other minor bugs fixed.

2.7.4
In case open and close values were equal, horizontal line wasn't drawn by candlestick chart.

In case pie chart had one slice only, a tiny gap might be visible in IE8 and older.

markerBorderColor of AmLegend was ignored.

Ticks with no labels (when labelFrequency was > 1) were not hidden by categoryAxis.

Balloons could overlap "show all" button preventing it from being clicked.


2.7.3
new line symbol \n was ignored in some browsers.

smaller than 1 numbers were formatted incorrectly in some cases.

2.7.2
Usabilty with touch devices improved - scrollbar's drag icons has a bigger hit area.

Some bugs fixed.

2.7.1
chart.removeLegend() was not working properly.

chart.startDate wasn't returning value.

lineColorField added to graph's properties.

2.7.0
textAlign property added to AmBalloon. Possible values are left/middle/right,
default is "middle".

behindColumns property added to AmGraph. If set to true, line graph will be
displayed behind column graphs.

"init" event added to AmChart. Event is fired right after the chart is initialized
for the very first time.

totalText property added to ValueAxis. Usage example:
valueAxis.totalText = "total: [[total]]"
It works only if the chart has column graphs and stackType is set to "regular" or "100%".

showEntries property added to AmLegend. It might be used by StockChart - in case you want
legend as it displayes title of the chart but don't want legend entries to be visible.

A bug with separate data provider set to graph fixed.

2.6.13
FIXES:
When viewing a page with a chart from iOS browser, console logged some errors

gradientOrientation was ignored by area charts

plotAreaGradientAngle property added to AmRectangularChart, can accept 0, 90,
180 and 270 values.

2.6.12
FIXES:
Pie chart data labels were hidden behind other slices if labelRadius < 0

If chart was in a div with scrollbar, cursor was displayed in wrong position after
scrolling with FF.

Some other minor bugs fixed.

2.6.11
cursor and balloons were not shown on iPad when cursor.pan was set to true

Labels near XY chart bullets were placed incorrectly (since last version only)

some other minor bugs fixed

2.6.10
AmCharts.baseHref property added. Set it to true if you are using base href in your
HTML. This will help so solve svg/base href bug (clip paths are not working and
gradient fills are displayed as balck).

Text can be wrapped again. Add \n in places you need new line in text.

Some other minor bugs fixed.

2.6.9
AmCharts.useUTC property added, default value is false. Set it to true if you
create dates using timestamps, like new Date(1256953732) and wish dates to be
formatted usin UTC instead of local time.

FIX:
If more than two colors were set for graph.fillColors, only two first colors
were used.

FIX:
chartCursor.bulletsEnabled was ignored, even set to true.

FIX: on IE8, if one slice was 100%, the circle wasn't displayed.

FIX: custom fields in balloonText were not supported by XY chart.

2.6.8
pieAlpha property was ignored.
plotAreaBorderAlpha was ignored if plotAreaAlphas was 0
column graph type was ignoring startEffect property.
chart property referencing to the chart object added to all event objects.

2.6.7
Pie slices became invisible if startAlpha was < 1 on <= IE8 browsers (since 2.6.6 only)
Performance with IE6 increased.

2.6.6
short year (YY) was incorrectly formatted in <= IE8 browsers
alphaField was ignored by column graph
chartScrollbar was not working properly when parseDates was set to false.
some other minor bugs fixed.

2.6.5
some minor bugs fixed.

2.6.4
minSelectedTime property added to AmSerialTime

some minor bugs fixed.

2.6.3
zoom-out button wasn't working on iPad (only since 2.6.0)

2.6.2
Bug with paneEventsEnabled and older firefox (< 4) fixed

//////////////////////////////////////////////////////////////////////////////////////
// IMPOTANT UPDATE ///////////////////////////////////////////////////////////////////
// 2.6.0           ///////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////

amCharts is no longer using raphael drawing library. New drawing engine is included
inside amcharts.js file. The charts got a lot faster, the file size reduced by 70Kb!

//////////////////////////////////////////////////////////////////////////////////////
2.5.5
In new version of Chrome (17) a new bug was introduced - if touchEventsEnabled was set
to true, mouse events stopped working on normal browsers. Bug fixed in this version.

//////////////////////////////////////////////////////////////////////////////////////
2.5.4
Some minor bugs fixed

//////////////////////////////////////////////////////////////////////////////////////
2.5.3
Some minor bugs fixed

//////////////////////////////////////////////////////////////////////////////////////
2.5.2
Some minor bugs fixed

//////////////////////////////////////////////////////////////////////////////////////
2.5.1

TrendLines are supported by XY chart from this version

//////////////////////////////////////////////////////////////////////////////////////
// IMPORTANT UPDATE //////////////////////////////////////////////////////////////////
// 2.5.0            //////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////

Since v 2.5 we no longer distribute our old flash charts in this package, we hope this
will help to avoid a lot of misunderstandings. If you still want to use flash charts,
download them in a separate package from www.amcharts.com/download/

We added a lot of new examples, to the "samples" folder. They are better structured,
source code commented.

BIG NEW FEATURES:

Automatic margins
margins of RectangularChart (Serial and XY charts) are calculated automatically now.
You can still work in old way by setting margins manually - set chart.autoMargins to
false.

Axis titles
Previously you had to use addLabel method in order to give name to the axis. Since
this version we introduced title property for AxisBase, so you can name both Category
and Value Axes now much more easily.

Chart title
Same as with axes titles - previously you had to use addLabel method to name a chart.
Now you can add any number of titles using
chart.addTitle(text, size, color, alpha, bold) method. Chart title is taken into account
when calculating margins, also position of pie/radar center.

Trend lines
Chart can display Trend lines now.

AmCharts.ready() method added so you don't need to use window.onload anymore. You can
use amCharts.ready as many times in one page as you want.

NOT SO BIG NEW FEATURES:

precision property added to ValueAxis.

if chart.usePrefixes is set, prefixes will be used both in balloons and legend, not only
by valueAxis as before.


SOME OTHER THINGS TO MENTION:

default value of autoGridCount property of AxisBase changed to true

default value of textClickEnabled of AmLegend changed to false

default value of hideResizeGrips of ChartScrollbar changed to false

All margins of RectangularChart changed to 20, as they can still be used for sides
without axes.


//////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////

2.4.7
FEATURE:
you can use custom tags like [[myCustomField]] in labelText / balloonText. If data item
from your data provider has such field, the tag will be replaced with this value.

FIXES:
[[percents]] were not displayed in stacked chart labels.
labels on the 3D columns were positioned in wrong position in some cases.

2.4.6
FIXES:
if chartCursor.pan was set to true, mouse pointer didn't change back when off the area.

in some cases balloon flashed in a wrong position (IE only) for a second.

amFallback used to fail on older IE with <visible_in_legend> set to false.

Rollover balloons used to overlap when all of the datapoints were very near the top of
the plot area.

Sometimes lines became blurry after window was resized.

v16 of Chrome used to display warning about deprecated layerX and layerY properties

guides on CategoryAxis with not date based values used not to work properly.

Some other minor bugs fixed.

FEATURES:

boldPeriodBeginning property with default value true added to CoordinateAxis.
You can disable bolding of the beginning of a period (like year/month/etc) using
it.

2.4.5
some bugs fixed

2.4.4
some bugs fixed

2.4.3
labels added using addLabel method weren't rotated (this bug was since v 2.4.0)
Raphael.js updated to 2.0.1, some related issues in amCharts fixed.

2.4.2
equalWidths with default value true added to AmLegend. Allows to save space
in the legend. Won't look good if legend has more than one line.

version property added to AmChart. Indicates current version of the chart script.

FIXES:
If labelRotation was set to 90, some labels were hidden.

It was impossible to drag chart scrollbar if the mouse was over text in scrollbar.
Chart cursor stayed visible sometimes even mouse wasn't over the chart.

[[category]] metatag was ignored in legend value text.

[[percents.value]] couldn't be displayed in value balloon.

labelPosition was ignored with not stacked columns


2.4.1
raphael.js file was updated in order to fix conflicts with mootools.

some minor bugs fixed.

2.4.0
JavaScript version moved to newly released Raphael v.2 (raphael.js file was updated).

some minor bugs fixed.

2.3.0
Fixes in Flash version:

Since the release of Flash Player 11, calling setSettings could cause browser
crash. This problem fixed in this version. You only need to overwrite swf files.

Fixes in JavaScript version:

Rollover balloon with cornerRadius set to 0 was distorted when it's close to the
plot area's top.

amClickGraphItem event wasn't working for Radar Chart.

graph.showBalloon = false was ignored.

The last item in chart.colors array was ignored.

3D stacked bar charts had layer order problems.

New features in JavaScript version:

minBulletSize property added to AmGraph. Might be useful for XY chart.

animateAgain() method added to all charts. Will trigger animation.

2.2.1
Changes were made in JavaScript version only.

We used Google's Closure Compiler (http://closure-compiler.appspot.com/home)
app to optimize the code and now size of amCharts is less by ~13 KB!

oneBalloonOnly property added to ChartCursor. If true, only one value balloon
at a time will be displayed. Default value is false.

Some minor bugs were fixed.

2.2.0
JavaScript version of XY Chart is now available.
Code was optimized so even with this new chart the size of a file got smaller!
Some minor bugs fixed in JS version.
We decided to remove a possibility to have gradient fills of JS pie chart as this
might cause some unsolvable bugs.

2.1.5
Fix in JavaScript version:
Some garbage used to appear on plot area while zooming candlestick chart.

2.1.4
Fix in JavaScript version:
One i variable was't declared so it became global. This might cause some conflicts
with other scripts on a page.

2.1.3

Fixes / tweaks in JavaScript version:

If duration of ValueAxis is set, value balloons now also display duration.

If a label was added with chart.addLabel method after the chart is created, these
labels used to dissapear after validateNow() methos was called.

Some issues with positive/negative graph masking fixed.

If graph type was column, startDuration was > 0, and there were values equal to 0,
an error used to happen with Chrome while animating.

Legend marker type "bubble" wasn't working at all.

Legend marker type "line" or "dashed line" wasn't registering clicks on the marker.

2.1.0
Radar/Polar chart added to JavaScript charts
Some bug fixes/tweaks in both flash and JavaScript versions.


2.0.7
Memory leaks fixed and performance inproved for JavaScript version.


2.0.6
Changes in JavaScript version:
We strongly recommend upgrading to this version, as it contains some important
updates and fixes.

One important change which might affect chart behavior on touch devices was made.
As our charts have a possibility to zoom-in or scroll, we are capturing touch events
and zoom or pan or scroll the chart if such event happens. This means that if a
chart is on a page, and user is moving a page with a finger, the page won't move if
he touches the chart first. Understanding that in most cases moving a page is a
primary purpose of a user, we disabled our pan behaviors by default. If you think
that selecting or or panning the chart is a primary purpose of your chart users,
you should set:

chart.panEventsEnabled = true;

Another important fix - the charts were redrawing when browser was resized even
if chart containers size didn't changed. This affected performance a lot.

Some other minor fixes were made.


2.0.5
Changes in JavaScript version:
Some minor bugs fixed.


2.0.4
Changes in JavaScript version:
gridPosition property with possible values "start" and "middle" added to CategroryAxis;
usePrefixes added to valueAxis;


2.0.3
Changes in JavaScript version:
Mouse and text related problems which appeared in newly released IE9 were fixed.